libstdc++: std::atomic< char > Struct Reference

libstdc++

std::atomic< char > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< char > | __base_type
typedef char | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (char &__e, char __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (char &__e, char __i, memory_order __s, memory_order __f) noexcept
char | exchange (char __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
char | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator char () const noexcept
| operator char () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (char __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for char.

Definition at line 749 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<char> std::atomic< char >::__base_type

Definition at line 752 of file atomic.

## ◆ __integral_type

typedef char std::atomic< char >::__integral_type

Definition at line 751 of file atomic.

## ◆ value_type

using std::atomic< char >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< char >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 760 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< char >::compare_exchange_strong | ( | char & | __e,
|  | char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< char >::compare_exchange_weak | ( | char & | __e,
|  | char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

char std::atomic< char >::exchange | ( | char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< char >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

char std::atomic< char >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator char() [1/2]

std::atomic< char >::operator char | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator char() [2/2]

std::atomic< char >::operator char | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< char >::store | ( | char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic